List deals
Lists deals of a track, grouped by milestone, optionally for one milestone or owner.
GET https://cotlet.dev/api/v1/agile-crm/deals
read
Returns deals with id, name, value, milestone, probability, expected close date, owner and the contacts linked to it.
Parameters
| Name | Type | Description |
|---|---|---|
| track string | string | Track name as shown in Agile CRM; the default track when left out |
| milestone string | string | Only deals in this milestone |
| owner_email string | string | Only deals owned by this user |
| cursor string | string | next_cursor from the previous page |
Request
curl https://cotlet.dev/api/v1/agile-crm/deals \
-H "Authorization: Bearer $COTLET_API_KEY" result = client.call("agile-crm", "list_deals") const result = await cotlet.call('agile-crm', 'list_deals'); cotlet call agile-crm list_deals Example response
{
"track": "Default",
"deals": [
{
"deal_id": "5640291877404672",
"name": "Northwind 20 seats",
"milestone": "Proposal",
"value": 4200,
"probability": 60,
"close_date": "2026-11-06",
"owner": "sam@example.com",
"contact_ids": [
"5698320417841152"
]
},
{
"deal_id": "5655120934133760",
"name": "Ortega Print rollout",
"milestone": "Proposal",
"value": 9500,
"probability": 40,
"close_date": "2026-11-20",
"owner": "sam@example.com",
"contact_ids": [
"5701182246576128"
]
}
],
"next_cursor": null
}